%% 
close all
clear
clc

addpath('MultinomialFunctions/')
%% Initialization and dataset generation

%Variables initialization
p = 100; % multivariate dimension
window = 1.5*p; % fixed window
confidence = 0.001; 
tau = 2 * window + 100;
DELTA = 25;
N = tau + window;
THRESHOLD = selectThreshold(p, window, confidence);

%Generate the dataset
estimateVector = gaussianDataset(p, DELTA, N, tau)';
%% Compute detection and print results

[ hotellingT, maxT, idx, tChange, sampleReference] = applyCPMmean( THRESHOLD,estimateVector,window,tau);
delay = tChange - sampleReference;
fprintf('Real change at %d, Change point found at %d, Detection delay of %d samples.\n', tau, tChange, delay);